=== requirements.txt ===
requests
# optional: optcomplete
