=== debian/control ===
Source: dosage
Section: net
Priority: optional
Maintainer: Bastian Kleineidam <calvin@debian.org>
Build-Depends: debhelper (>= 9),
               python-all (>= 2.7)
X-Python-Version: >= 2.7
Standards-Version: 3.9.4
Homepage: http://wummel.github.com/dosage/

Package: dosage
Architecture: all
Depends: python-requests,
         ${python:Depends},
         ${misc:Depends}
Suggests: python-optcomplete
Provides: ${python:Provides}
Description: commandline webcomic downloader and archiver
 Dosage allows webcomics to be downloaded. It can retrieve just the latest
 strip in a comic, catch-up to the last strip downloaded, or download a
 strip for a particular date/index if the webcomic's site layout
 allows it.
