=== debian/changelog ===
dosage (2.5-1) unstable; urgency=low

  * New upstream release.

 -- Bastian Kleineidam <calvin@debian.org>  Thu, 18 Jul 2013 23:37:09 +0200

dosage (2.4-1) unstable; urgency=low

  * New upstream release.

 -- Bastian Kleineidam <calvin@debian.org>  Mon, 24 Jun 2013 22:29:23 +0200

dosage (2.3-1) unstable; urgency=low

  * New upstream release.

 -- Bastian Kleineidam <calvin@debian.org>  Wed, 01 May 2013 08:33:41 +0200

dosage (2.2-1) unstable; urgency=low

  * New upstream release.

 -- Bastian Kleineidam <calvin@debian.org>  Tue, 30 Apr 2013 07:45:09 +0200

dosage (2.1-1) unstable; urgency=low

  * New upstream release.

 -- Bastian Kleineidam <calvin@debian.org>  Sun, 14 Apr 2013 09:03:07 +0200

dosage (2.0-1) unstable; urgency=low

  * New upstream release.

 -- Bastian Kleineidam <calvin@debian.org>  Thu, 11 Apr 2013 20:44:35 +0200

dosage (1.15-1) unstable; urgency=low

  * New upstream release.

 -- Bastian Kleineidam <calvin@debian.org>  Mon, 25 Mar 2013 19:52:49 +0100

dosage (1.14-1) unstable; urgency=low

  * New upstream release.

 -- Bastian Kleineidam <calvin@debian.org>  Thu, 21 Mar 2013 19:05:18 +0100

dosage (1.13-1) unstable; urgency=low

  * New upstream release.

 -- Bastian Kleineidam <calvin@debian.org>  Mon, 11 Mar 2013 09:41:20 +0100

dosage (1.12-1) unstable; urgency=low

  * New upstream release.

 -- Bastian Kleineidam <calvin@debian.org>  Mon, 04 Mar 2013 19:44:01 +0100

dosage (1.11-1) unstable; urgency=low

  * New upstream release.

 -- Bastian Kleineidam <calvin@debian.org>  Fri, 01 Mar 2013 21:00:40 +0100
