=== debian/control ===
Source: dosage
Section: net
Priority: optional
Maintainer: Bastian Kleineidam <calvin@debian.org>
Build-Depends: debhelper (>= 9),
               python-all (>= 2.7)
X-Python-Version: >= 2.7
Standards-Version: 3.9.4
Homepage: http://wummel.github.io/dosage/

Package: dosage
Architecture: all
Depends: python-requests,
         ${python:Depends},
         ${misc:Depends}
Suggests: python-argcomplete
Provides: ${python:Provides}
Description: comic strip downloader and archiver
 Dosage downloads comic strips. It can retrieve just the latest
 strip in a comic, catch-up to the last strip downloaded, or download a
 strip for a particular date/index if the website layout allows it.
