=== debian/watch ===
# watch control file for uscan
version=3
http://wummel.github.io/dosage/ \
  http://github.io/downloads/wummel/dosage/dosage-(.*).tar.gz
