=== debian/changelog ===
dosage (2.8-1) unstable; urgency=low

  * New upstream release.

 -- Bastian Kleineidam <calvin@debian.org>  Sun, 08 Dec 2013 11:31:24 +0100

dosage (2.7-1) unstable; urgency=low

  * New upstream release.

 -- Bastian Kleineidam <calvin@debian.org>  Sun, 24 Nov 2013 12:27:29 +0100

dosage (2.6-1) unstable; urgency=low

  * New upstream release.

 -- Bastian Kleineidam <calvin@debian.org>  Tue, 12 Nov 2013 20:43:17 +0100
