=== debian/changelog ===
dosage (2.12-1) unstable; urgency=low

  * New upstream release.
  * Unused files removed from upstream tarball.
    (Closes: #735768)

 -- Bastian Kleineidam <calvin@debian.org>  Fri, 24 Jan 2014 23:20:45 +0100

dosage (2.11-1) unstable; urgency=low

  * New upstream release.
  * Updated Standards version to 3.9.5
  * Updated debian/watch file.

 -- Bastian Kleineidam <calvin@debian.org>  Wed, 15 Jan 2014 19:41:12 +0100

dosage (2.10-1) unstable; urgency=low

  * New upstream release.

 -- Bastian Kleineidam <calvin@debian.org>  Sun, 05 Jan 2014 17:43:04 +0100

dosage (2.9-1) unstable; urgency=low

  * New upstream release.

 -- Bastian Kleineidam <calvin@debian.org>  Sun, 22 Dec 2013 13:43:23 +0100
