=== debian/watch ===
# dosage-(.*)\.tar\.gz
# watch control file for uscan
version=3
http://wummel.github.io/dosage/ \
  http://wummel\.github\.io/dosage/dist/dosage-(.*)\.tar\.gz
