=== debian/changelog ===
dosage (2.15-4) unstable; urgency=medium

  * QA upload.
  * Drop NEWS from 2013.
  * Bump Standards-Version to 4.5.0, no changes needed.
  * Source-only upload.  (Closes: #953682)

 -- Andreas Beckmann <anbe@debian.org>  Fri, 13 Mar 2020 22:00:04 +0100

dosage (2.15-3) unstable; urgency=medium

  * QA upload.
  * switch to python3; Closes: #936439
  * debian/control
    - bump Standards-Version to 4.4.0 (no changes needed)

 -- Sandro Tosi <morph@debian.org>  Mon, 02 Sep 2019 12:25:22 -0400

dosage (2.15-2) unstable; urgency=medium

  * QA upload.
  * Set maintainer to QA group
  * Updated watch file
  * Install bash completion to correct directory
  * Bumped standards version to 3.9.8
  * Converted copyright to DEP-5

 -- David William Richmond Jones <dwrj87@gmail.com>  Wed, 29 Jun 2016 12:41:13 +0100

dosage (2.15-1) unstable; urgency=low

  * New upstream release.

 -- Bastian Kleineidam <calvin@debian.org>  Thu, 03 Jul 2014 21:48:24 +0200

dosage (2.14-1) unstable; urgency=low

  * New upstream release.

 -- Bastian Kleineidam <calvin@debian.org>  Sun, 08 Jun 2014 21:58:56 +0200

dosage (2.13-1) unstable; urgency=low

  * New upstream release.

 -- Bastian Kleineidam <calvin@debian.org>  Tue, 04 Mar 2014 20:55:42 +0100
