=== debian/control ===
Source: dosage
Section: net
Priority: optional
Maintainer: Debian QA Group <packages@qa.debian.org>
Build-Depends: debhelper (>= 9),
               dh-python,
               python3
Standards-Version: 4.5.0
Homepage: http://dosage.rocks

Package: dosage
Architecture: all
Depends: python3-requests,
         ${python3:Depends},
         ${misc:Depends}
Suggests: python3-argcomplete
Provides: ${python3:Provides}
Description: comic strip downloader and archiver
 Dosage downloads comic strips. It can retrieve just the latest
 strip in a comic, catch-up to the last strip downloaded, or download a
 strip for a particular date/index if the website layout allows it.
