=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python3 --buildsystem=pybuild

override_dh_auto_configure:
# make sure the manifest is built
	python3 setup.py sdist --manifest-only

override_dh_installchangelogs:
	dh_installchangelogs doc/changelog.txt

ROOTDIR=$(CURDIR)/debian/dosage

override_dh_auto_install:
	python3 setup.py install --root=debian/dosage --install-layout=deb;
	install -m 644 doc/dosage-completion $(ROOTDIR)/usr/share/bash-completion/completions

override_dh_clean:
# clean generated files
	dh_clean _Dosage_configdata.py _dosage_configdata.py

override_dh_auto_test:
# do not run test suite when building
