## dosage 3.0%2Bdfsg

=== debian/changelog ===
dosage (3.0+dfsg-2) unstable; urgency=medium

  * remove extraneous dependencies on old backported libraries
    python3-cached-property python3-importlib-metadata.
  * replace usage of deprecated distuils by python3-packaging

 -- Alexandre Detiste <tchet@debian.org>  Mon, 18 Dec 2023 22:01:55 +0100

dosage (3.0+dfsg-1) unstable; urgency=medium

  * Adopt package (Closes: #774995)
  * New upstream version 3.0
  * redo d/rules, fix FTBFS (Closes: #1054797, #1044442)
  * repack to remove vendored example website with fonts and js
  * create Salsa repository
  * use newer dh-sequence-python3
  * Update standards version to 4.6.2, no more changes needed.

  [ Janitor ]
  * Use correct machine-readable copyright file URI.
  * Use secure URI in Homepage field.
  * Bump debhelper from deprecated 9 to 13.
  * Set debhelper-compat version in Build-Depends.
  * Add missing build-dependency on python3-setuptools.

 -- Alexandre Detiste <tchet@debian.org>  Fri, 08 Dec 2023 11:59:45 +0100
