=== debian/control ===
--- 
+++ 
@@ -1,16 +1,23 @@
 Source: dosage
 Section: net
 Priority: optional
-Maintainer: Debian QA Group <packages@qa.debian.org>
-Build-Depends: debhelper (>= 9),
-               dh-python,
-               python3
-Standards-Version: 4.5.0
-Homepage: http://dosage.rocks
+Maintainer: Alexandre Detiste <tchet@debian.org>
+Build-Depends: debhelper-compat (= 13),
+               dh-sequence-python3,
+               pybuild-plugin-pyproject,
+               python3,
+               python3-colorama,
+               python3-setuptools
+Standards-Version: 4.6.2
+Rules-Requires-Root: no
+Homepage: https://dosage.rocks
+Vcs-Git: https://salsa.debian.org/debian/dosage.git
+Vcs-Browser: https://salsa.debian.org/debian/dosage
 
 Package: dosage
 Architecture: all
 Depends: python3-requests,
+         python3-packaging,
          ${python3:Depends},
          ${misc:Depends}
 Suggests: python3-argcomplete
