## dosage 3.0+dfsg

=== requirements.txt ===
appdirs
colorama
imagesize
lxml>=4.0.0
requests>=2.0
cached_property; python_version<'3.8'
importlib_metadata; python_version<'3.8'
