=== debian/control ===
--- 
+++ 
@@ -7,7 +7,8 @@
                pybuild-plugin-pyproject,
                python3,
                python3-colorama,
-               python3-setuptools
+               python3-setuptools,
+               python3-setuptools-scm
 Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://dosage.rocks
