=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/dosage-$1\.tar\.gz/,repacksuffix=+dfsg1,repack,dversionmangle=auto \
  https://github.com/webcomics/dosage/tags .*/v?(\d\S*)\.tar\.gz
