## dosage 3.2

=== debian/changelog ===
dosage (3.2-1) unstable; urgency=medium

  * New upstream version 3.2
  * Switch to X-Style: black
  * Add debian/salsa-ci.yml
  * Drop "Rules-Requires-Root: no": it is the default now
  * Bump Standards-Version to 4.7.3, drop Priority: tag
  * Remove patch applied upstream

 -- Alexandre Detiste <tchet@debian.org>  Sun, 15 Feb 2026 17:44:55 +0100

dosage (3.0+dfsg-2.1) unstable; urgency=medium

  * Non-maintainer upload.
  * d/control: build-dep on setuptools-scm to fix wrong "0.0.0" version
    (Closes: #1069832)

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 25 Apr 2024 16:49:40 +0300
