=== debian/control ===
Source: dosage
Section: net
Maintainer: Alexandre Detiste <tchet@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 pybuild-plugin-pyproject,
 python3,
 python3-colorama,
 python3-setuptools,
 python3-setuptools-scm,
Standards-Version: 4.7.3
Homepage: https://dosage.rocks
Vcs-Git: https://salsa.debian.org/debian/dosage.git
Vcs-Browser: https://salsa.debian.org/debian/dosage
X-Style: black

Package: dosage
Architecture: all
Depends:
 python3-packaging,
 python3-requests,
 ${misc:Depends},
 ${python3:Depends},
Suggests:
 python3-argcomplete,
Provides:
 ${python3:Provides},
Description: comic strip downloader and archiver
 Dosage downloads comic strips. It can retrieve just the latest
 strip in a comic, catch-up to the last strip downloaded, or download a
 strip for a particular date/index if the website layout allows it.
